IteratorIterator
IteratorIterator::current
IteratorIterator
PHP Manual

# IteratorIterator::__construct

(PHP 5 >= 5.1.0)

IteratorIterator::__construct — Create an iterator from anything that is traversable

### Description

IteratorIterator::__construct ( Traversable `$iterator` )

Creates an iterator from anything that is traversable.

### Parameters

`iterator`

  The traversable iterator.

### Return Values

No value is returned.

### See Also

- Traversable

IteratorIterator
IteratorIterator::current
IteratorIterator
PHP Manual